Subject: bug#25552: 26.0.50; load cl unintendedly

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 01 Feb 2017 10:09:05 +0900

Hi mh-e developers,

Please refer to this bug thread beginning with:
<http://lists.gnu.org/archive/html/bug-gnu-emacs/2017-01/msg00997.html>

On Tue, 31 Jan 2017 17:39:45 -0500, Glenn Morris wrote:
> Glenn Morris wrote:
>> emacs -Q -l mh-e
>> loads cl.

> This seems to fix it for me, though I do not use mh-e and so cannot test
> it properly.

I cannot test it since I'm not an mh-e user, too, but the patch
(attached below) looks reasonable.  Though I think it is no more
than a workaround (a better way would probably be to replace cl
runtime functions with something), it will help Emacs people.
I kindly ask for your consideration.

Thanks in advance.
Regards,
--- i/lisp/mh-e/mh-compat.el
+++ w/lisp/mh-e/mh-compat.el
@@ -40,7 +40,7 @@
 ;; Items are listed alphabetically (except for mh-require which is
 ;; needed sooner it would normally appear).
 
-(require 'mh-acros)
+(eval-when-compile (require 'mh-acros))
 
 (mh-do-in-gnu-emacs
   (defalias 'mh-require 'require))
@@ -374,7 +374,6 @@ mh-write-file-functions
 (provide 'mh-compat)
 
 ;; Local Variables:
-;; no-byte-compile: t
 ;; indent-tabs-mode: nil
 ;; sentence-end-double-space: nil
 ;; End: